CD-HIT-2D(1)

NAME
cd-hit-2d - quickly group sequences in db1 or db2 format

SYNOPSIS
cd-hit-2d [Options]

DESCRIPTION

    ====== CD-HIT version 4.8.1 (built on Nov 25 2025) ======

Options

-i  input filename for db1 in fasta format, required, can be in .gz format

-i2 input filename for db2 in fasta format, required, can be in .gz format

-o  output filename, required

-c  sequence identity threshold, default 0.9 this is the default cd-hit's "global sequence identity" calculated as: number of identical amino acids or bases in alignment divided by the full length of the shorter sequence

-G  use global sequence identity, default 1 if set to 0, then use local sequence identity, calculated as : number of identical amino acids or bases in alignment divided by the length of the alignment NOTE!!! don't use -G 0 unless you use alignment coverage controls see options -aL, -AL, -aS, -AS

-b  band_width of alignment, default 20

-M  memory limit (in MB) for the program, default 800; 0 for unlimitted;

-T  number of threads, default 1; with 0, all CPUs will be used

-n  word_length, default 5, see user's guide for choosing it

-l  length of throw_away_sequences, default 10

-t  tolerance for redundance, default 2

-d  length of description in .clstr file, default 20 if set to 0, it takes the fasta defline and stops at first space

-s  length difference cutoff, default 0.0 if set to 0.9, the shorter sequences need to be at least 90% length of the representative of the cluster

-S  length difference cutoff in amino acid, default 999999 if set to 60, the length difference between the shorter sequences and the representative of the cluster can not be bigger than 60

-s2 length difference cutoff for db1, default 1.0 by default, seqs in db1 >= seqs in db2 in a same cluster if set to 0.9, seqs in db1 may just >= 90% seqs in db2

-S2 length difference cutoff, default 0 by default, seqs in db1 >= seqs in db2 in a same cluster if set to 60, seqs in db2 may 60aa longer than seqs in db1

-aL alignment coverage for the longer sequence, default 0.0 if set to 0.9, the alignment must covers 90% of the sequence

-AL alignment coverage control for the longer sequence, default 99999999 if set to 60, and the length of the sequence is 400, then the alignment must be >= 340 (400-60) residues

-aS alignment coverage for the shorter sequence, default 0.0 if set to 0.9, the alignment must covers 90% of the sequence

-AS alignment coverage control for the shorter sequence, default 99999999 if set to 60, and the length of the sequence is 400, then the alignment must be >= 340 (400-60) residues

-A  minimal alignment coverage control for the both sequences, default 0 alignment must cover >= this value for both sequences

-uL maximum unmatched percentage for the longer sequence, default 1.0 if set to 0.1, the unmatched region (excluding leading and tailing gaps) must not be more than 10% of the sequence

-uS maximum unmatched percentage for the shorter sequence, default 1.0 if set to 0.1, the unmatched region (excluding leading and tailing gaps) must not be more than 10% of the sequence

-U  maximum unmatched length, default 99999999 if set to 10, the unmatched region (excluding leading and tailing gaps) must not be more than 10 bases

-B  1 or 0, default 0, by default, sequences are stored in RAM if set to 1, sequence are stored on hard drive !! No longer supported !!

-p  1 or 0, default 0 if set to 1, print alignment overlap in .clstr file

-g  1 or 0, default 0 by cd-hit's default algorithm, a sequence is clustered to the first cluster that meet the threshold (fast cluster). If set to 1, the program will cluster it into the most similar cluster that meet the threshold (accurate but slow mode) but either 1 or 0 won't change the representatives of final clusters

-bak write backup cluster file (1 or 0, default 0)

-h  print this help

    Questions, bugs, contact Weizhong Li at liwz@sdsc.edu

    If you find cd-hit useful, please kindly cite:

    "CD-HIT: a fast program for clustering and comparing large sets of protein or nucleotide sequences", Weizhong Li & Adam Godzik. Bioinformatics, (2006) 22:1658-1659 "CD-HIT: accelerated for clustering the next generation sequencing data", Limin Fu, Beifang Niu, Zhengwei Zhu, Sitao Wu & Weizhong Li. Bioinformatics, (2012) 28:3150-3152